Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.awt
Class PointShapeFactory.Point

    java.lang.Object
      com.vividsolutions.jts.awt.PointShapeFactory.BasePointShapeFactory
          com.vividsolutions.jts.awt.PointShapeFactory.Point

All Implemented Interfaces:
  PointShapeFactory

Enclosing interface:
  PointShapeFactory

    public static class PointShapeFactory.Point

extends PointShapeFactory.BasePointShapeFactory

Nested Class Summary

Nested classes/interfaces inherited from interface com.vividsolutions.jts.awt.PointShapeFactory
`PointShapeFactory.BasePointShapeFactory, PointShapeFactory.Circle, PointShapeFactory.Cross, PointShapeFactory.Point, PointShapeFactory.Square, PointShapeFactory.Star, PointShapeFactory.Triangle, PointShapeFactory.X`

Field Summary

Fields inherited from class com.vividsolutions.jts.awt.PointShapeFactory.BasePointShapeFactory
`DEFAULT_SIZE, size`

Constructor Summary
`PointShapeFactory.Point()` Creates a new factory for points with default size.
`PointShapeFactory.Point(double size)` Creates a factory for points of given size.

Method Summary
`java.awt.Shape` | `createPoint(java.awt.geom.Point2D point)` Creates a shape representing a point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointShapeFactory.Point

    public PointShapeFactory.Point()

  Creates a new factory for points with default size.

### PointShapeFactory.Point

    public PointShapeFactory.Point(double size)

  Creates a factory for points of given size.

  Parameters:
    `size` - the size of the points

Method Detail

### createPoint

    public java.awt.Shape createPoint(java.awt.geom.Point2D point)

  Creates a shape representing a point.

  Specified by:
    `createPoint` in interface `PointShapeFactory`
  Specified by:
    `createPoint` in class `PointShapeFactory.BasePointShapeFactory`
  Parameters:
    `point` - the location of the point
  Returns:
    a shape

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD